import request from '@/utils/request'

// 查询改备注列表
export function listChangeComment(query) {
  return request({
    url: '/changeComment/changeComment/list',
    method: 'get',
    params: query
  })
}

// 查询改备注详细
export function getChangeComment(id) {
  return request({
    url: '/changeComment/changeComment/' + id,
    method: 'get'
  })
}

// 新增改备注
export function addChangeComment(data) {
  return request({
    url: '/changeComment/changeComment',
    method: 'post',
    data: data
  })
}

// 修改改备注
export function updateChangeComment(data) {
  return request({
    url: '/changeComment/changeComment',
    method: 'put',
    data: data
  })
}

// 删除改备注
export function delChangeComment(id) {
  return request({
    url: '/changeComment/changeComment/' + id,
    method: 'delete'
  })
}
